Loading...
Searching...
No Matches
Common.hpp File Reference

Implements relations which are common for all regions of the IAPWS '97 formulation. More...

`#include <opm/material/Constants.hpp>`
`#include <opm/material/common/MathToolbox.hpp>`
`#include <opm/common/utility/gpuDecorators.hpp>`
`#include <cmath>`

Go to the source code of this file.

## Classes

class | Opm::IAPWS::Common< Scalar >
| Implements relations which are common for all regions of the IAPWS '97 formulation. More...

## Namespaces

namespace | Opm
| This class implements a small container which holds the transmissibility mulitpliers for all the faces in the grid.

## Variables

template<class Scalar>
const Scalar | Opm::IAPWS::Common< Scalar >::molarMass = 18.01518e-3
template<class Scalar>
const Scalar | Opm::IAPWS::Common< Scalar >::Rs = Constants<Scalar>::R/molarMass
template<class Scalar>
const Scalar | Opm::IAPWS::Common< Scalar >::criticalTemperature = 647.096
template<class Scalar>
const Scalar | Opm::IAPWS::Common< Scalar >::criticalPressure = 22.064e6
template<class Scalar>
const Scalar | Opm::IAPWS::Common< Scalar >::criticalDensity = 322.0
template<class Scalar>
const Scalar | Opm::IAPWS::Common< Scalar >::criticalMolarVolume = molarMass/criticalDensity
template<class Scalar>
const Scalar | Opm::IAPWS::Common< Scalar >::criticalVolume = 5.595e-2
template<class Scalar>
const Scalar | Opm::IAPWS::Common< Scalar >::acentricFactor = 0.344
template<class Scalar>
const Scalar | Opm::IAPWS::Common< Scalar >::tripleTemperature = 273.16
template<class Scalar>
const Scalar | Opm::IAPWS::Common< Scalar >::triplePressure = 611.657

## Detailed Description

Implements relations which are common for all regions of the IAPWS '97 formulation.

Template Parameters

  Scalar | The type used for scalar values

See:

IAPWS: "Revised Release on the IAPWS Industrial Formulation 1997 for the Thermodynamic Properties of Water and Steam", http://www.iapws.org/relguide/IF97-Rev.pdf